# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name Random-RDTSC
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1
Release: alt1
Summary: RDTSC Random in Perl
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BA/BAKERSCOT/%{module_name}-%{version}.tar.gz

%description
This module provides access to the `get_rdtsc()' and `rdtsc_rand64()'
functions from the `rdtsc_rand' library, allowing for high-resolution
timestamps and random number generation based on the CPU's RDTSC instruction.

`Random::RDTSC' is not vetted for true randomness. It is designed to be a
good starting point for other pseudo random number generators. If you use
the numbers from `Random::RDTSC' as seeds for other PRNGs you can have good,
self-starting random numbers.

`Random::RDTSC' is not seedable and thus *not repeatable*. Repeatability
can be helpful for testing and validating code. You should use a seedable
PRNG to get repeatable random numbers.

Based on rdtsc_rand.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README README.md
%perl_vendor_archlib/R*
%perl_vendor_autolib/*

%changelog
* Mon Apr 07 2025 Igor Vlasenko <viy@altlinux.org> 0.1-alt1
- initial import by package builder

